/*
  Jind - an interpreter for a toy programming language
  Copyright (C) 2000, 2001 Markus Triska

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA

  Contact me at triska@gmx.at
*/

public class Player
{
    int posx;
    int posy;
    int numsteps;
    int curdir;

    public Player(int pposx, int pposy)
    {
	curdir = 3;
	posx = pposx;
	posy = pposy;
    }

    public boolean move()
    {
	switch(curdir) {
	case 1: posy--; break;
	case 2: posx++; break;
	case 3: posy++; break;
	case 4: posx--; break;
	}

	numsteps++;
	return true;
    }

    public void adjustDirection(int direction)
    {
	curdir = curdir + direction - 1;
	if (curdir > 4) curdir -= 4;
    }

    public Position position()
    {
	return new Position(posx, posy);
    }

    public int direction()
    {
	return curdir;
    }
}
